import { Idl, Program, Provider } from "@project-serum/anchor";
import { PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
import { BigInstructionResult, InstructionResult } from "./transaction";
export declare abstract class AnchorProgramSdk<IDL extends Idl> {
    program: Program<IDL>;
    provider: Provider;
    static ID: PublicKey;
    constructor(args: {
        provider: Provider;
        program: Program<IDL>;
    });
    get programId(): PublicKey;
    get rpc(): import("@project-serum/anchor").RpcNamespace<IDL, import("@project-serum/anchor/dist/cjs/program/namespace/types").AllInstructions<IDL>>;
    get instruction(): import("@project-serum/anchor").InstructionNamespace<IDL, IDL["instructions"][number]>;
    get wallet(): import("@project-serum/anchor/dist/cjs/provider").Wallet;
    get account(): import("@project-serum/anchor").AccountNamespace<IDL>;
    get errors(): Map<number, string> | undefined;
    sendInstructions(instructions: TransactionInstruction[], signers: Signer[], payer?: PublicKey): Promise<string>;
    execute<Output>(command: Promise<InstructionResult<Output>>, payer?: PublicKey): Promise<Output>;
    executeBig<Output>(command: Promise<BigInstructionResult<Output>>, payer?: PublicKey): Promise<Output>;
}
//# sourceMappingURL=anchorProgramSdk.d.ts.map