import { AccountNamespace, Idl, InstructionNamespace, Program, Provider, RpcNamespace } from "@project-serum/anchor";
import { AllInstructions } from "@project-serum/anchor/dist/cjs/program/namespace/types";
import { Wallet } from "@project-serum/common";
import { PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
import { TypedAccountParser } from ".";
import { BigInstructionResult, InstructionResult } from "./transaction";
export declare abstract class AnchorSdk<IDL extends Idl> {
    program: Program<IDL>;
    provider: Provider;
    programId: PublicKey;
    rpc: RpcNamespace<IDL, AllInstructions<IDL>>;
    instruction: InstructionNamespace<IDL, IDL["instructions"][number]>;
    wallet: Wallet;
    account: AccountNamespace<IDL>;
    errors: Map<number, string> | undefined;
    static ID: PublicKey;
    constructor(args: {
        provider: Provider;
        program: Program<IDL>;
    });
    protected getAccount<T>(key: PublicKey, decoder: TypedAccountParser<T>): Promise<T | null>;
    sendInstructions(instructions: TransactionInstruction[], signers: Signer[], payer?: PublicKey): Promise<string>;
    execute<Output>(command: Promise<InstructionResult<Output>>, payer?: PublicKey): Promise<Output>;
    executeBig<Output>(command: Promise<BigInstructionResult<Output>>, payer?: PublicKey): Promise<Output>;
}
//# sourceMappingURL=anchorSdk.d.ts.map